package be.iminds.ilabt.jfed.experimenter_gui.gts_editor.actions;

import be.iminds.ilabt.jfed.experimenter_gui.gts_editor.EditableGtsDsl;
import be.iminds.ilabt.jfed.experimenter_gui.ui.progressbar.TaskService;
import be.iminds.ilabt.jfed.preferences.JFedPreferences;
import javafx.stage.Window;

import javax.inject.Inject;
import javax.inject.Singleton;

/**
 * User: twalcari
 * Date: 5/20/2015
 * Time: 09:43
 */
@Singleton
public class GTSEditorActionsFactory {

    private final TaskService taskService;
    private final JFedPreferences jFedPreferences;

    @Inject
    public GTSEditorActionsFactory(TaskService taskService, JFedPreferences jFedPreferences) {
        this.taskService = taskService;
        this.jFedPreferences = jFedPreferences;
    }

    public ExportGtsDslAction createExportGtsDslAction(EditableGtsDsl editableGtsDsl, Window parentWindow) {
        return new ExportGtsDslAction(editableGtsDsl, parentWindow, taskService, jFedPreferences);
    }
}
